Package org.springframework.aop.aspectj

# Interface AspectInstanceFactory

All Superinterfaces:
  `org.springframework.core.Ordered`

All Known Subinterfaces:
  `MetadataAwareAspectInstanceFactory`

All Known Implementing Classes:
  `BeanFactoryAspectInstanceFactory`, `LazySingletonAspectInstanceFactoryDecorator`, `PrototypeAspectInstanceFactory`, `SimpleAspectInstanceFactory`, `SimpleBeanFactoryAwareAspectInstanceFactory`, `SimpleMetadataAwareAspectInstanceFactory`, `SingletonAspectInstanceFactory`, `SingletonMetadataAwareAspectInstanceFactory`

public interface AspectInstanceFactory extends org.springframework.core.Ordered
Interface implemented to provide an instance of an AspectJ aspect. Decouples from Spring's bean factory.

Extends the `Ordered` interface to express an order value for the underlying aspect in a chain.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `BeanFactory.getBean(java.lang.String)`

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`getAspectClassLoader()`
Expose the aspect class loader that this factory uses.
`Object`
`getAspectInstance()`
Create an instance of this factory's aspect.

### Methods inherited from interface org.springframework.core.Ordered

`getOrder`

## Method Details

### getAspectInstance

Object getAspectInstance()
Create an instance of this factory's aspect.

Returns:
  the aspect instance (never `null`)

### getAspectClassLoader

@Nullable ClassLoader getAspectClassLoader()
Expose the aspect class loader that this factory uses.

Returns:
  the aspect class loader (or `null` for the bootstrap loader)
See Also:
  - `ClassUtils.getDefaultClassLoader()`